Bug 1483910 (CVE-2017-6420) - CVE-2017-6420 clamav: use-after-free in wwunpack function
Summary: CVE-2017-6420 clamav: use-after-free in wwunpack function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-6420
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170303,repor...
Depends On: 1483911 1483912
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 09:09 UTC by Adam Mariš
Modified: 2019-06-08 22:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-26 05:41:34 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-22 09:09:20 UTC
The wwunpack function in libclamav/wwunpack.c in ClamAV 0.99.2 allows
remote attackers to cause a denial of service (use-after-free) via a
crafted PE file with WWPack compression.

Upstream patch:

https://github.com/vrtadmin/clamav-devel/commit/dfc00cd3301a42b571454b51a6102eecf58407bc

Comment 1 Adam Mariš 2017-08-22 09:10:14 UTC
Created clamav tracking bugs for this issue:

Affects: epel-all [bug 1483912]
Affects: fedora-all [bug 1483911]


Note You need to log in before you can comment on or make changes to this bug.